<?php

namespace Controllers;

use Bases\Controller;
use Models\Utilisateur;

class AdminController extends Controller{

    /**
     * Affiche la page du menu pour un employé
     */
    public function index(){

        // Protection de la route
        if(!empty($_SESSION["role"])){
            // S'il a une session active mais que ce n'est pas un administrateur
            if($_SESSION["role"] !== "Administrateur"){
                $this->rediriger("employes-menu?admin_only");
            }

            $employes = (new Utilisateur)->toutUtilisateurs();
            $this->vue("admin/index", [
                "employes" => $employes
            ]);
            exit();
        }
        
        $this->rediriger("index");
    }
}